Bug 1274973 - fedmsg: Incorrect directory ownership
fedmsg: Incorrect directory ownership
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedmsg (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-24 07:31 EDT by Mikolaj Izdebski
Modified: 2015-11-13 14:24 EST (History)
2 users (show)

See Also:
Fixed In Version: fedmsg-0.16.2-2.fc23 fedmsg-0.16.2-2.fc22 fedmsg-0.16.2-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:29:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2015-10-24 07:31:56 EDT
Description of problem:
After installing fedmsg, directories /var/log/fedmsg and /var/run/fedmsg are owned by root instead of fedmsg user.

Version-Release number of selected component (if applicable):
0.16.2-1.fc23

Steps to Reproduce:
see below

Actual results:
1. dnf install fedmsg
[...]
  Installing  : fedmsg-base-0.16.2-1.fc23.noarch
warning: user fedmsg does not exist - using root
warning: group fedmsg does not exist - using root
warning: user fedmsg does not exist - using root
warning: group fedmsg does not exist - using root
  Installing  : python-fedmsg-core-0.16.2-1.fc23.noarch
  Installing  : python-fedmsg-commands-0.16.2-1.fc23.noarch
  Installing  : python-fedmsg-consumers-0.16.2-1.fc23.noarch
  Installing  : fedmsg-0.16.2-1.fc23.noarch

2. rpm -V fedmsg-base
.....UG..    /var/log/fedmsg
.....UG..    /var/run/fedmsg

3. ls -ld /var/log/fedmsg /var/run/fedmsg
drwxr-xr-x. 2 root root  6 Oct  8 16:35 /var/log/fedmsg
drwxrwxr-x. 2 root root 40 Oct  8 16:35 /var/run/fedmsg

Expected results:
The above directories are owned by fedmsg user.

Additional info:
"dnf reinstall fedmsg-base" fixes the problem
Comment 1 Fedora Update System 2015-10-24 08:33:03 EDT
fedmsg-0.16.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c4b5366dbd
Comment 2 Fedora Update System 2015-10-24 08:33:10 EDT
fedmsg-0.16.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-33312aef1b
Comment 3 Fedora Update System 2015-10-24 08:33:32 EDT
fedmsg-0.16.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-52ae1f4c0c
Comment 4 Fedora Update System 2015-10-26 17:20:12 EDT
fedmsg-0.16.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-52ae1f4c0c
Comment 5 Fedora Update System 2015-10-26 22:20:01 EDT
fedmsg-0.16.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c4b5366dbd
Comment 6 Fedora Update System 2015-10-28 16:26:58 EDT
fedmsg-0.16.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update fedmsg'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-33312aef1b
Comment 7 Fedora Update System 2015-10-31 22:29:03 EDT
fedmsg-0.16.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-11-05 18:24:37 EST
fedmsg-0.16.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-11-13 14:24:32 EST
fedmsg-0.16.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.